Shelly custom_component gives error after updating to 0.94

2019-06-06 08:53:05 ERROR (MainThread) [homeassistant.setup] Error during setup of component shelly
Traceback (most recent call last):
File “/config/custom_components/shelly/init.py”, line 133, in setup
from .pyShelly import pyShelly
ModuleNotFoundError: No module named ‘custom_components.shelly.pyShelly’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/setup.py”, line 156, in _async_setup_component
component.setup, hass, processed_config) # type: ignore
File “/usr/local/lib/python3.7/concurrent/futures/thread.py”, line 57, in run
result = self.fn(*self.args, **self.kwargs)
File “/config/custom_components/shelly/init.py”, line 136, in setup
from pyShelly import pyShelly
ModuleNotFoundError: No module named ‘pyShelly’
2019-06-06 08:53:07 ERROR (MainThread) [homeassistant.core] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/helpers/entity_platform.py”, line 357, in _async_add_entity
raise HomeAssistantError(msg)

Also trhis in log

2019-06-06 08:53:09 ERROR (MainThread) [homeassistant.setup] Unable to prepare setup for platform shelly.switch: Unable to set up component.

2019-06-06 08:53:09 ERROR (MainThread) [homeassistant.core] Error doing job: Task exception was never retrieved
Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/helpers/entity_platform.py”, line 357, in _async_add_entity
raise HomeAssistantError(msg)
homeassistant.exceptions.HomeAssistantError: Entity id already exists: switch.pihole_switch
2019-06-06 08:53:09 ERROR (MainThread) [homeassistant.setup] Error during setup of component your_domain_name
Traceback (most recent call last):
File “/config/custom_components/shelly/init.py”, line 133, in setup
from .pyShelly import pyShelly
ModuleNotFoundError: No module named ‘custom_components.shelly.pyShelly’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/setup.py”, line 156, in _async_setup_component
component.setup, hass, processed_config) # type: ignore
File “/usr/local/lib/python3.7/concurrent/futures/thread.py”, line 57, in run
result = self.fn(*self.args, **self.kwargs)
File “/config/custom_components/shelly/init.py”, line 136, in setup
from pyShelly import pyShelly
ModuleNotFoundError: No module named ‘pyShelly’

If you haven’t tried already, maybe a reboot, it could have been pulling down requirements

I did a restart and did not help, you really meant a reboot (I wish not to do since I have many services on the host, if obliged I will do)?

A restart off HA only

I am getting reports that my custom component (not this one) also fails in this way for hassio. Are you using hassio or home assistant directly?

I am using HASSIO

I think you need to share the custom_component to do any debugging. For my own custom_component, it is likely that the user did not have the manifest.json file. This version of Hassio has a breaking change that likely requires reinstallation of all requirements. Do you have a manifest.json file with the correct requirement in it?

It has this

{
“domain”: “your_domain_name”,
“name”: “Your Integration”,
“documentation”: “https://www.example.com”,
“dependencies”: [],
“codeowners”: [],
“requirements”: []
}

can’t remember where I got it, I think there are 2 or 3 versions out there? Will have to look which one is it

I assume you need to put pyShelly in the requirements in the the manifest.json

Hi, I notices the shelly is offline also on his app. The shelly is inside a wall box, will be a pain to take it out.
Tryed to reset it:is it turning On-Off-On the light switch for 5 times in a row? I think I did it right and it didn’t reset … I guess the other option is to do On-Off-On 5 times the main of the house, oh man